Liferay.Loader.define('segments-web@2.0.29/js/utils/constants.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.SOURCES = exports.BOOLEAN_OPTIONS = exports.SUPPORTED_PROPERTY_TYPES = exports.SUPPORTED_OPERATORS = exports.SUPPORTED_CONJUNCTIONS = exports.PROPERTY_TYPES = exports.RELATIONAL_OPERATORS = exports.GROUP = exports.NOT_OPERATORS = exports.FUNCTIONAL_OPERATORS = exports.CONJUNCTIONS = void 0;

    var _SUPPORTED_PROPERTY_T;

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * Constants for OData query.
     */
    var CONJUNCTIONS = {
      AND: 'and',
      OR: 'or'
    };
    exports.CONJUNCTIONS = CONJUNCTIONS;
    var FUNCTIONAL_OPERATORS = {
      CONTAINS: 'contains'
    };
    exports.FUNCTIONAL_OPERATORS = FUNCTIONAL_OPERATORS;
    var NOT_OPERATORS = {
      NOT_CONTAINS: 'not-contains',
      NOT_EQ: 'not-eq'
    };
    exports.NOT_OPERATORS = NOT_OPERATORS;
    var GROUP = 'GROUP';
    exports.GROUP = GROUP;
    var RELATIONAL_OPERATORS = {
      EQ: 'eq',
      GE: 'ge',
      GT: 'gt',
      LE: 'le',
      LT: 'lt'
    };
    /**
     * Constants to match property types in the passed in supportedProperties array.
     */

    exports.RELATIONAL_OPERATORS = RELATIONAL_OPERATORS;
    var PROPERTY_TYPES = {
      BOOLEAN: 'boolean',
      COLLECTION: 'collection',
      DATE: 'date',
      DATE_TIME: 'date-time',
      DOUBLE: 'double',
      ID: 'id',
      INTEGER: 'integer',
      STRING: 'string'
    };
    /**
     * Constants for CriteriaBuilder component.
     */

    exports.PROPERTY_TYPES = PROPERTY_TYPES;
    var AND = CONJUNCTIONS.AND,
        OR = CONJUNCTIONS.OR;
    var EQ = RELATIONAL_OPERATORS.EQ,
        GE = RELATIONAL_OPERATORS.GE,
        GT = RELATIONAL_OPERATORS.GT,
        LE = RELATIONAL_OPERATORS.LE,
        LT = RELATIONAL_OPERATORS.LT;
    var NOT_CONTAINS = NOT_OPERATORS.NOT_CONTAINS,
        NOT_EQ = NOT_OPERATORS.NOT_EQ;
    var CONTAINS = FUNCTIONAL_OPERATORS.CONTAINS;
    var BOOLEAN = PROPERTY_TYPES.BOOLEAN,
        COLLECTION = PROPERTY_TYPES.COLLECTION,
        DATE = PROPERTY_TYPES.DATE,
        DATE_TIME = PROPERTY_TYPES.DATE_TIME,
        DOUBLE = PROPERTY_TYPES.DOUBLE,
        ID = PROPERTY_TYPES.ID,
        INTEGER = PROPERTY_TYPES.INTEGER,
        STRING = PROPERTY_TYPES.STRING;
    var SUPPORTED_CONJUNCTIONS = [{
      label: Liferay.Language.get('and'),
      name: AND
    }, {
      label: Liferay.Language.get('or'),
      name: OR
    }];
    exports.SUPPORTED_CONJUNCTIONS = SUPPORTED_CONJUNCTIONS;
    var SUPPORTED_OPERATORS = [{
      label: Liferay.Language.get('equals'),
      name: EQ
    }, {
      label: Liferay.Language.get('not-equals'),
      name: NOT_EQ
    }, {
      label: Liferay.Language.get('greater-than'),
      name: GT
    }, {
      label: Liferay.Language.get('greater-than-or-equals'),
      name: GE
    }, {
      label: Liferay.Language.get('less-than'),
      name: LT
    }, {
      label: Liferay.Language.get('less-than-or-equals'),
      name: LE
    }, {
      label: Liferay.Language.get('contains'),
      name: CONTAINS
    }, {
      label: Liferay.Language.get('not-contains'),
      name: NOT_CONTAINS
    }];
    exports.SUPPORTED_OPERATORS = SUPPORTED_OPERATORS;
    var SUPPORTED_PROPERTY_TYPES = (_SUPPORTED_PROPERTY_T = {}, _defineProperty(_SUPPORTED_PROPERTY_T, BOOLEAN, [EQ, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, COLLECTION, [EQ, NOT_EQ, CONTAINS, NOT_CONTAINS]), _defineProperty(_SUPPORTED_PROPERTY_T, DATE, [EQ, GE, GT, LE, LT, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, DATE_TIME, [EQ, GE, GT, LE, LT, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, DOUBLE, [EQ, GE, GT, LE, LT, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, ID, [EQ, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, INTEGER, [EQ, GE, GT, LE, LT, NOT_EQ]), _defineProperty(_SUPPORTED_PROPERTY_T, STRING, [EQ, NOT_EQ, CONTAINS, NOT_CONTAINS]), _SUPPORTED_PROPERTY_T);
    /**
     * Values for criteria row inputs.
     */

    exports.SUPPORTED_PROPERTY_TYPES = SUPPORTED_PROPERTY_TYPES;
    var BOOLEAN_OPTIONS = [{
      label: 'TRUE',
      value: 'true'
    }, {
      label: 'FALSE',
      value: 'false'
    }];
    exports.BOOLEAN_OPTIONS = BOOLEAN_OPTIONS;
    var SOURCES = {
      ASAH_FARO_BACKEND: {
        icon: '/ac-icon.svg',
        label: Liferay.Language.get('source.analytics-cloud'),
        name: 'ASAH_FARO_BACKEND'
      },
      DEFAULT: {
        icon: '/dxp-icon.svg',
        label: Liferay.Language.get('source.dxp'),
        name: 'DEFAULT'
      }
    };
    exports.SOURCES = SOURCES;
    //# sourceMappingURL=constants.es.js.map
  }
});
//# sourceMappingURL=constants.es.js.map